# ChangeLog for sys-devel/libtool
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-devel/libtool/ChangeLog,v 1.104 2006/03/30 14:10:56 flameeyes Exp $

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> libtool-1.5.22.ebuild:
  Add ~x86-fbsd keyword.

  09 Feb 2006; Joshua Kinard <kumba@gentoo.org> libtool-1.5.22.ebuild:
  Marked stable on mips for Bug # 118864.

  15 Jan 2006; Jason Wever <weeve@gentoo.org> libtool-1.5.22.ebuild:
  Stable on SPARC wrt bug #118864.

  15 Jan 2006; Markus Rothe <corsair@gentoo.org> libtool-1.5.22.ebuild:
  Stable on ppc64

  14 Jan 2006; Jose Luis Rivero <yoswink@gentoo.org> libtool-1.5.22.ebuild:
  Marked stable on alpha. bug #118864

  13 Jan 2006; <nixnut@gentoo.org> libtool-1.5.22.ebuild:
  Marked stable on ppc. bug #118864

  13 Jan 2006; Luis Medinas <metalgod@gentoo.org> libtool-1.5.22.ebuild:
  Stable on amd64. See bug #118864.

  13 Jan 2006; Krzysiek Pawlik <nelchael@gentoo.org> libtool-1.5.22.ebuild:
  Stable on x86.

*libtool-1.5.22 (19 Dec 2005)

  19 Dec 2005; Mike Frysinger <vapier@gentoo.org> +libtool-1.5.22.ebuild:
  Version bump.

  19 Nov 2005; Markus Rothe <corsair@gentoo.org> libtool-1.5.20.ebuild:
  Stable on ppc64; bug #108846

  11 Nov 2005; Michael Hanselmann <hansmi@gentoo.org> libtool-1.5.20.ebuild:
  Stable on ppc.

*libtool-1.5.20-r1 (04 Nov 2005)

  04 Nov 2005; Mike Frysinger <vapier@gentoo.org>
  +files/1.5.20/libtool-1.5.20-version-checking.patch,
  +libtool-1.5.20-r1.ebuild:
  Dont use non-portable character classes in Gentoo sanity check #111353 by
  Erik Månsson.

  18 Oct 2005; Aron Griffis <agriffis@gentoo.org> libtool-1.5.20.ebuild:
  Mark 1.5.20 stable on alpha

  16 Oct 2005; Mike Frysinger <vapier@gentoo.org>
  +files/1.5.20/libtool-1.5.20-use-linux-version-in-fbsd.patch,
  libtool-1.5.20.ebuild:
  Add patch by Diego Pettenò to tweak versioning styles on Gentoo/FreeBSD
  hosts #109105.

  13 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org> libtool-1.5.20.ebuild:
  Stable on sparc wrt #108846

  12 Oct 2005; Andrej Kacian <ticho@gentoo.org> libtool-1.5.20.ebuild:
  Stable on x86, bug #108846.

  12 Oct 2005; <dang@gentoo.org> libtool-1.5.20.ebuild:
  Marked stable on amd64

  29 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  files/1.5.6/libtool-1.5-filter-host-tags.patch:
  Update the host tags patch to handle the case where user changes their CHOST
  but doesnt re-emerge libtool.

  25 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  files/1.5.10/libtool-1.5.10-version-checking.patch,
  +files/1.5.20/libtool-1.5.20-override-LD_LIBRARY_PATH.patch,
  libtool-1.5.20.ebuild:
  Fix bracket quoting in the sanity check and make sure LD_LIBRARY_PATH doesnt
  clobber wrapped libtool files.

  10 Sep 2005; Martin Schlemmer <azarah@gentoo.org>
  files/1.5.10/libtool-1.5.10-portage.patch:
  Fix typo in portage patch, bug #105054.

*libtool-1.5.20 (02 Sep 2005)

  02 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  +files/1.5.20/libtool-1.5.20-ltmain_sh-max_cmd_len.patch,
  +libtool-1.5.20.ebuild:
  Version bump.

  30 Jun 2005; Martin Schlemmer <azarah@gentoo.org>
  files/1.5.10/libtool-1.5.10-portage.patch,
  files/1.5.14/libtool-1.5.14-egrep.patch:
  Fix tests to be sh-complaint.

*libtool-1.5.18-r1 (29 Jun 2005)

  29 Jun 2005; Martin Schlemmer <azarah@gentoo.org>
  files/1.5.10/libtool-1.5.10-portage.patch,
  +files/1.5.14/libtool-1.5.14-egrep.patch, libtool-1.5.14.ebuild,
  libtool-1.5.16.ebuild, libtool-1.5.18.ebuild, +libtool-1.5.18-r1.ebuild:
  Update portage patch to define EGREP just in case (maybe a bit too much?).
  Also make sure its global defined as well as LTCC.

*libtool-1.5.18 (18 May 2005)

  18 May 2005; Mike Frysinger <vapier@gentoo.org> +libtool-1.5.18.ebuild:
  Version bump.

*libtool-1.5.16 (26 Apr 2005)

  26 Apr 2005; Mike Frysinger <vapier@gentoo.org> +libtool-1.5.16.ebuild:
  Version bump.

  31 Mar 2005; Bryan Østergaard <kloeri@gentoo.org>
  libtool-1.5.10-r4.ebuild:
  Stable on alpha, requested by Karol Wojtaszek <sekretarz@gentoo.org>.

*libtool-1.5.14 (13 Mar 2005)

  13 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +files/1.5.14/libtool-1.5.14-ltmain_sh-max_cmd_len.patch,
  +libtool-1.5.14.ebuild:
  Version bump.

  04 Mar 2005; Daniel Goller <morfic@gentoo.org> libtool-1.5.10-r4.ebuild:
  Stable on ppc

*libtool-1.5.10-r5 (23 Feb 2005)

  23 Feb 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/1.5.10/libtool-1.5.10-portage.patch, +libtool-1.5.10-r5.ebuild:
  Update portage.patch to verify that we always have a leading '/' when we
  replace $D.

  15 Feb 2005; Markus Rothe <corsair@gentoo.org> libtool-1.5.10-r4.ebuild:
  Stable on ppc64

  15 Feb 2005; Mike Frysinger <vapier@gentoo.org>
  files/1.5.6/libtool-1.5-filter-host-tags.patch:
  Add a catch for infer tags with CC=cc just like CC=gcc.

  06 Feb 2005; Joshua Kinard <kumba@gentoo.org> libtool-1.5.10-r4.ebuild:
  Marked stable on mips.

  01 Feb 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  libtool-1.5.10-r4.ebuild:
  Stable on sparc

*libtool-1.5.10-r4 (27 Jan 2005)

  27 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  files/1.5.6/libtool-1.5-filter-host-tags.patch, +libtool-1.5.10-r4.ebuild:
  Fix typo in the tag infer patch.

  22 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  libtool-1.5.2-r7.ebuild:
  Multilib fixes.

  20 Jan 2005; Mike Frysinger <vapier@gentoo.org> -libtool-1.5.10-r2.ebuild:
  Push out updated patches.

  19 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  files/1.4.3/libtool-1.4.2-portage.patch:
  Touch up portage patch to pass libtools `make check` #70350.

  19 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  files/1.5.6/libtool-1.5-filter-host-tags.patch:
  Update the infer tag patch to go both ways #77921.

  03 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*libtool-1.5.10-r2 (17 Dec 2004)

  17 Dec 2004; Mike Frysinger <vapier@gentoo.org> +libtool-1.5.10-r2.ebuild:
  Remove useless C++ checks #73344. Means we have to run all the autotool
  stuff ourself (whee!).

  17 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  -files/1.4.3/libtool-1.4.3-amd64-alias.patch, libtool-1.5.10-r1.ebuild,
  libtool-1.5.2-r5.ebuild, libtool-1.5.2-r7.ebuild:
  Remove the amd64-alias patch since gnuconfig_update does all the magic now.

*libtool-1.5.10-r1 (11 Dec 2004)

  11 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.5.10/libtool-1.5.10-version-checking.patch,
  -files/1.5.6/libtool-1.5.6-libtool_m4-shared_ext.patch,
  +libtool-1.5.10-r1.ebuild:
  Rather than guess at variable name changes, perform version sanity checks to
  make sure that the libtool version being used by configure (via
  aclocal.m4/libtool.m4) matches that of the local ltmain.sh/libtool files.

  29 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.5.10/libtool-1.5.10-locking.patch, libtool-1.5.10.ebuild:
  Move to unstable and include patch by Robin Johnson to fix locking issues
  #40992.

  09 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.5.6/libtool-1.5-filter-host-tags.patch,
  +files/1.5.6/libtool-1.5.6-libtool_m4-shared_ext.patch,
  libtool-1.5.10.ebuild:
  Update the .so and tag guessing patches.

  09 Nov 2004; Mike Frysinger <vapier@gentoo.org> +libtool-1.3.5.ebuild:
  SLOT-ed version of libtool, no point in building 1.3.5 all the time.

*libtool-1.5.2-r7 (09 Nov 2004)

  09 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  files/1.5.2/libtool-1.5-filter-host-tags.patch, -libtool-1.5.2-r6.ebuild:
  Add another check to the CC tag guessing.

*libtool-1.5.2-r6 (04 Nov 2004)

  04 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.5.2/libtool-1.5-filter-host-tags.patch, +libtool-1.5.2-r6.ebuild:
  Try to impove auto-guessing at --tag #67692.

*libtool-1.5.10 (01 Nov 2004)

  01 Nov 2004; Mike Frysinger <vapier@gentoo.org> +libtool-1.5.10.ebuild,
  -libtool-1.5.6.ebuild:
  Version bump.

  25 Sep 2004; Joshua Kinard <kumba@gentoo.org> libtool-1.5.2-r5.ebuild:
  Marked stable on mips.

  01 Sep 2004; Mike Frysinger <vapier@gentoo.org>
  files/1.5.2/libtool-1.5.2-libtool_m4-shared_ext.patch:
  Make sure we quote the grep #47771 by csm@gnu.org.

  15 Jul 2004; Aron Griffis <agriffis@gentoo.org> libtool-1.4.3-r3.ebuild,
  libtool-1.4.3-r4.ebuild, libtool-1.5.2-r3.ebuild, libtool-1.5.2-r4.ebuild,
  libtool-1.5.2-r5.ebuild, libtool-1.5.6.ebuild:
  Fix all the gnuconfig_update screwiness in these ebuilds #57224

  15 Jul 2004; Tom Gall <tgall@gentoo.org> libtool-1.5.2-r5.ebuild:
  calling multiple gnuconfig_updates in a row kills gnus
  bug #57224

  10 Jul 2004; Travis Tilley <lv@gentoo.org> libtool-1.5.6.ebuild:
  it seems that this libtool breaks building .so files for a few ebuilds. next
  time i test, i guess i'll have to emerge world -e twice instead of just once
  ;)

  09 Jul 2004; Travis Tilley <lv@gentoo.org> libtool-1.5.6.ebuild:
  added back keywords for all supported archs

*libtool-1.5.6 (08 Jul 2004)

  08 Jul 2004; Travis Tilley <lv@gentoo.org>
  +files/1.5.6/libtool-1.5.6-ltmain-SED.patch, +libtool-1.5.6.ebuild:
  version bump. keyworded -* until i know this wont break anything

  02 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  libtool-1.4.1-r10.ebuild, libtool-1.4.3-r3.ebuild, libtool-1.4.3-r4.ebuild,
  libtool-1.5.2-r3.ebuild, libtool-1.5.2-r4.ebuild, libtool-1.5.2-r5.ebuild:
  virtual/glibc -> virtual/libc

  24 Jun 2004; <solar@gentoo.org> libtool-1.4.3-r4.ebuild,
  libtool-1.5.2-r5.ebuild, files/libltdl-uclibc.patch,
  files/ltconfig-uclibc.patch, files/1.4.3/libtool-1.4.3-uclibc.patch:
  uclibc support added

  11 Jun 2004; Bryan Østergaard <kloeri@gentoo.org> libtool-1.5.2-r5.ebuild:
  Stable on alpha.

  27 Apr 2004; Robin H. Johnson <robbat2@gentoo.org> libtool-1.5.2-r5.ebuild:
  make sure we have the correct version of autoconf

  09 Apr 2004; Travis Tilley <lv@gentoo.org> libtool-1.5.2-r5.ebuild:
  stable on amd64

  30 Mar 2004; Todd Sunderlin <todd@gentoo.org> libtool-1.5.2-r5.ebuild:
  set stable on sparc

*libtool-1.5.2-r5 (01 Mar 2004)
*libtool-1.4.3-r4 (01 Mar 2004)

  01 Mar 2004; Martin Schlemmer <azarah@gentoo.org> libtool-1.4.3-r4.ebuild,
  libtool-1.5.2-r5.ebuild:
  Actually remove the correct patch for bug #43244.

*libtool-1.5.2-r4 (29 Feb 2004)

  29 Feb 2004; Martin Schlemmer <azarah@gentoo.org> libtool-1.5.2-r4.ebuild:
  Remove libtool-1.4.2-fix-linkage-of-cxx-code-with-gcc.patch, as it breaks
  things for newer gst-plugins, etc (bug #43244).

  18 Feb 2004; Tom Gall <tgall@gentoo.org> libtool-1.5.2-r3.ebuild
  Fix for ppc64, older 1.3.x libtool needs to have configs etc regenerated
  so they are aware that ppc64 is a valid build,host,target, follow in amd64
  footsteps

*libtool-1.5.2-r3 (11 Feb 2004)

  11 Feb 2004; Martin Schlemmer <azarah@gentoo.org> libtool-1.5.2-r3.ebuild,
  files/1.5.2/libtool-1.5.2-ltmain_sh-max_cmd_len.patch:
  For older autoconf setups's that do not support libtool.m4, $max_cmd_len
  are never set, causing all tests against it to fail, resulting in
  'integer expression expected' errors and possible misbehaviour.

*libtool-1.5.2-r2 (11 Feb 2004)

  11 Feb 2004; Martin Schlemmer <azarah@gentoo.org> libtool-1.5.2-r2.ebuild,
  files/1.5.2/libtool-1.5.2-libtool_m4-shared_ext.patch:
  If a package use an older libtool, and libtool.m4 for that package is
  updated, but not libtool, then we run into an issue where $shared_ext
  is not set.  This results in libraries being built without '.so'
  extension, bug #40901.

*libtool-1.5.2-r1 (07 Feb 2004)

  07 Feb 2004; Martin Schlemmer <azarah@gentoo.org> libtool-1.5.2-r1.ebuild:
  Fix empty VERSION and PACKAGE, bug #39576.

  07 Feb 2004; Martin Schlemmer <azarah@gentoo.org> libtool-1.5.2.ebuild:
  Mask again as it have some issues.

  06 Feb 2004; Martin Schlemmer <azarah@gentoo.org> libtool-1.5.2.ebuild:
  Add to testing.

  06 Feb 2004; Martin Schlemmer <azarah@gentoo.org> libtool-1.4.3-r3.ebuild:
  Bump to stable.

*libtool-1.5.2 (03 Feb 2004)

  03 Feb 2004; Martin Schlemmer <azarah@gentoo.org> libtool-1.5.2.ebuild,
  files/1.5.2/libtool-1.5-libtool.m4-x86_64.patch,
  files/1.5.2/libtool-1.5-testfailure.patch:
  Update version; closes bug #39576.

  22 Dec 2003; Joshua Kinard <kumba@gentoo.org> libtool-1.4.3-r3.ebuild:
  Added gnuconfig bits to detect systems running mips64 kernels

  16 Nov 2003; Brad House <brad_mssw@gentoo.org> libtool-1.4.3-r3.ebuild:
  the amd64 _required_ patch was reverted between -r2 and -r3 
  without reason. Putting it back. Basically when it compiles libtool-1.3.5, that
  package needs to be re-libtoolized b/c it doesn't know what x86_64 is.

*libtool-1.4.3-r3 (17 Nov 2003)

  17 Nov 2003; Martin Schlemmer <azarah@gentoo.org> libtool-1.4.3-r3.ebuild,
  files/1.4.3/libtool-1.4.2-expsym-linux.patch,
  files/1.4.3/libtool-1.4.3-amd64-alias.patch,
  files/1.4.3/libtool-1.4.3-libtoolize--config-only.patch,
  files/1.4.3/libtool-1.4.3-pass-thread-flags.patch,
  files/1.4.3/libtool-1.4.3-quotes.patch:
  Add more patches from Mandrake.

  25 Sep 2003; Martin Schlemmer <azarah@gentoo.org> libtool-1.4.3-r2.ebuild:
  Only reinstall missing script if not bootstrap, else we error out.

*libtool-1.4.3-r2 (24 Sep 2003)

  24 Sep 2003; Martin Schlemmer <azarah@gentoo.org> libtool-1.4.3-r2.ebuild,
  files/1.4.3/libtool-1.4.2-archive-shared.patch,
  files/1.4.3/libtool-1.4.2-fix-linkage-of-cxx-code-with-gcc.patch,
  files/1.4.3/libtool-1.4.2-portage.patch,
  files/1.4.3/libtool-1.4.3-ltmain-SED.patch:
  With 1.4.3, we have ltmain.in and ltmain.sh which both got patched, but not
  with all the patches :/ Fix all the patches to only apply to ltmain.in, and
  then fix the breakage that follows due to us having to remove ltmain.sh.

  17 Sep 2003; Jon Portnoy <avenj@gentoo.org> libtool-1.4.3-r1.ebuild :
  ia64 keywords.

  02 Aug 2003; Martin Schlemmer <azarah@gentoo.org> libtool-1.4.3-r1.ebuild:
  Mark stable for all.  (shoot me later)

*libtool-1.4.3-r1 (09 Mar 2003)

  03 Aug 2003; Guy Martin <gmsoft@gentoo.org> libtool-1.4.3-r1.ebuild :
  Fixed for hppa.

  27 Jun 2003; Joshua Kinard <kumba@gentoo.org> libtool-1.4.3-r1.ebuild:
  Added ~mips to KEYWORDS

  09 Mar 2003; Martin Schlemmer <azarah@gentoo.org> libtool-1.4.3-r1.ebuild :
  Add various patches from Mandrake, including one to fix the problem where
  $SED was not defined if we used autoconf-2.13 ...

  18 Feb 2003; Zach Welch <zwelch@gentoo.org> libtool-1.4.3.ebuild :
  Added arm to keywords.

  07 Feb 2003; Guy Martin <gmsoft@gentoo.org> libtool-1.4.1-r10-ebuild :
  Added hppa to keywords.

*libtool-1.4.1-r10 (20 Dec 2002)
  20 Dec 2002; Jan Seidel <tuxus@gentoo.org> libtool-1.4.1-r10-ebuild :
  Added mips to keywords

*libtool-1.4.3 (14 Dec 2002)

  26 Feb 2003; Zach Welch <zwelch@gentoo.org> libtool-1.4.1-r10.ebuild,
  libtool-1.4.3.ebuild:
  fix arm keywords

  14 Dec 2002; Martin Schlemmer <azarah@gentoo.org> :

  Update version.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*libtool-1.4.2-r2 (20 Oct 2002)

  20 Oct 2002; Martin Schlemmer <azarah@gentoo.org> :

  Spiced up version.

*libtool-1.4.1-r10 (20 Oct 2002)

  20 Oct 2002; Martin Schlemmer <azarah@gentoo.org> :

  Remove the ltmain.sh-hack.patch, as it caused problems with linking
  dependencies.

*libtool-1.4.1-r9 (3 Jul 2002)

  3 Jul 2002; Martin Schlemmer <azarah@gentoo.org> :

  Fix a bug in libtool-1.4.1-portage.patch-v? .. basically just a type o.  Also
  Enhanced it to be able to use $PWORKDIR ($WORKDIR in ebuilds) that the latest
  portage should export.

  27 Jun 2002; Martin Schlemmer <azarah@gentoo.org> :

  Fix a bug in libtool-1.4.1-portage.patch-v5 that has been dropping link dirs
  and -l? flags.

*libtool-1.4.1-r8 (26 Jun 2002)

  26 Jun 2002; Martin Schlemmer <azarah@gentoo.org> :

  Fix bug #4122.

*libtool-1.4.1-r7 (10 April 2002)

  26 May 2002; M.Schlemmer <azarah@gentoo.org> :

  Update libtool portage patch not to add duplicates.

*libtool-1.4.1-r6 (10 April 2002)

  10 April 2002; M.Schlemmer <azarah@gentoo.org> :

  Made a sligt mistake with $install_libdir in previous patch, should now
  be fixed.  Enhanced other parts of patch again.

*libtool-1.4.1-r5 (07 April 2002)

  07 April 2002; M.Schlemmer <azarah@gentoo.org> :

  Patch libtool not to include ${D} and ${S} in .la files (enhance previous).

*libtool-1.4.1-r4 (03 April 2002)

  03 April 2002; M.Schlemmer <azarah@gentoo.org> :

  Patch libtool not to include ${D} and ${S} in .la files.

*libtool-1.4.1-r3 (21 March 2002)

  21 March 2002; M.Schlemmer <azarah@gentoo.org> :

  Since -r1, added the relink patch, as well as additional patches that fixes
  quoting problems, etc

*libtool-1.4.1-r1 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
